Package org.zkoss.zel.impl.lang

## Class FunctionMapperFactory

- java.lang.Object
- - org.zkoss.zel.FunctionMapper
  - - org.zkoss.zel.impl.lang.FunctionMapperFactory

-     public class FunctionMapperFactory
      extends FunctionMapper

  Author:
    Jacob Hookom [jacob@hookom.net]

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected FunctionMapperImpl` | `memento` |
    `protected FunctionMapper` | `target` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FunctionMapperFactory​(FunctionMapper mapper)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FunctionMapper` | `create()` |
    `void` | `mapFunction​(java.lang.String prefix, java.lang.String localName, java.lang.reflect.Method method)` | Map a method to a function name.
    `java.lang.reflect.Method` | `resolveFunction​(java.lang.String prefix, java.lang.String localName)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### memento

          protected FunctionMapperImpl memento

    - #### target

          protected final FunctionMapper target

  - ### Constructor Detail

    - #### FunctionMapperFactory

          public FunctionMapperFactory​(FunctionMapper mapper)

  - ### Method Detail

    - #### resolveFunction

          public java.lang.reflect.Method resolveFunction​(java.lang.String prefix,
                                                          java.lang.String localName)

      Specified by:
        `resolveFunction` in class `FunctionMapper`

    - #### mapFunction

          public void mapFunction​(java.lang.String prefix,
                                  java.lang.String localName,
                                  java.lang.reflect.Method method)

      Description copied from class: `FunctionMapper`
      Map a method to a function name.
      Overrides:
        `mapFunction` in class `FunctionMapper`
      Parameters:
        `prefix` - Function prefix
        `localName` - Function name
        `method` - Method

    - #### create

          public FunctionMapper create()